package com.clx.performance.dao.vehiclewarn;

import com.clx.performance.mapper.vehiclewarn.VehicleWarnChildMapper;
import com.clx.performance.model.vehiclewarn.VehicleWarnChild;
import com.msl.common.base.Optional;
import com.msl.common.dao.BaseDao;

import java.util.List;

public interface VehicleWarnChildDao extends BaseDao<VehicleWarnChildMapper, VehicleWarnChild, Integer> {

    boolean updateWarnStatus(VehicleWarnChild item);
    boolean updateEstimateLoadTime(VehicleWarnChild item);
    Optional<VehicleWarnChild> findByChildNo(String childNo);

    List<VehicleWarnChild> ListTruckNoOfTrace();
    List<VehicleWarnChild> ListTruckNoOfWarn();
}
